Bug 25694 - Add ability to delete a MARC modification template when viewing
Summary: Add ability to delete a MARC modification template when viewing
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 26065
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-08 14:15 UTC by Kelly McElligott
Modified: 2020-11-02 08:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds a 'Delete template' button on the page for viewing the actions of a MARC modification template.
Version(s) released in:
20.11.00


Attachments
Bug 25694: Add ability to delete a Marc Modification Template when viewing (1.89 KB, patch)
2020-07-27 14:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25694: Add ability to delete a Marc Modification Template when viewing (1.95 KB, patch)
2020-07-28 15:02 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25694: Add ability to delete a Marc Modification Template when viewing (2.01 KB, patch)
2020-07-29 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-06-08 14:15:11 UTC
Currently, the ability to delete a Template in Marc Modification templates only exists from the marc_modification_templates.pl, however, it would be nice to have the ability to delete the template, when you are looking at the actions of that template. 

If you accidentally make two templates of the same name and want to delete one, it is hard to be sure which one you are deleting from the list of the templates without seeing the actions of each one.
Comment 1 Owen Leonard 2020-07-27 14:45:01 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-07-28 15:02:54 UTC Comment hidden (obsolete)
Comment 3 Kelly McElligott 2020-07-28 15:03:17 UTC
Awesome- thanks Owen!
Comment 4 Katrin Fischer 2020-07-29 22:24:41 UTC
Created attachment 107551 [details] [review]
Bug 25694: Add ability to delete a Marc Modification Template when viewing

This patch adds a "delete template" button to the MARC modification
templates "Edit actions" view.

To test, apply the patch and go to Tools -> MARC modification templates.

 - On the main MARC modification templates page the toolbar should have
   only one button: "New template."
 - Click the "Edit actions" button for an existing template.
 - On the "Actions for..." view there should be three buttons, "New
   template," "New action," and "Delete template."
   - Test that the "Delete template" button works correctly.

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-07-29 22:24:59 UTC
Hi Kelly, if you could sign off on the dependent bug 26055 too, it would be great and help to get this moving faster.

I'll PQA but set it to BLOCKED until the dependency is PQA as well.
Comment 6 Jonathan Druart 2020-08-18 15:46:40 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-09-04 15:28:48 UTC
enhancement will not be backported to 20.05.x